Package svnmailer :: Module subversion :: Class Repository

[hide private]

# Class Repository

source code

    object --+
             |
            Repository

Access to the subversion repository

Instance Methods | [hide private]

__init__(self, repos_path) Open the repository | source code

close(self) Destroy the pool and release the shared lock | source code

`list`

getChangesList(self, revision) Return the list of changes of a revisions sorted by path | source code

`dict`

getPathProperties(self, path, revision) Get a dict of properties for a particular path/revision | source code

`str`

getPathProperty(self, name, path, revision) Get the value of a particular property | source code

`str`

getPathMimeType(self, path, revision) Get the MIME type of a particular path | source code

dumpPathContent(self, fp, path, revision) Dump the contents of a particular path into a file | source code

`int`

getRevisionTime(self, revision) Returns the time of a particular rev. | source code

`str`

getRevisionAuthor(self, revision) Returns the author of a particular revision | source code

`str`

getRevisionLog(self, revision) Returns the log entry of a particular revision | source code

`str`

getRevisionProperty(self, revision, propname) Returns the value of a revision property | source code

`_RevisionChangeCollector`

_getChangeCollector(self, revision) Return the RevisionChangeCollector instance | source code

swig object

_getRevisionRoot(self, revision) Return the root object of a particular revision | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

swig object | _pool = `None` `None`
`bool` | _apr_initialized = `False` `False`

Instance Variables | [hide private]

swig object | _fs Reference to the repos filesystem
`dict` | _pathPropLists Cached path propery lists
`dict` | _pathProps Cached path properties
swig object | _repos Reference to the open repository
`dict` | _revChanges Cached revision change lists
`dict` | _revProps Cached revision properties
`dict` | _revRoots Cached revision root objects
`dict` | _revTimes Cached revision times
`unicode` | path The path to the repository

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, repos_path)
(Constructor)

source code

Open the repository

Parameters:
  - `repos_path` (`unicode`) - The repository path as unicode
Overrides: object.__init__

### getChangesList(self, revision)

source code

Return the list of changes of a revisions sorted by path

Parameters:
  - `revision` (`int`) - The revision
Returns: `list`
  The Changes list

### getPathProperties(self, path, revision)

source code

Get a dict of properties for a particular path/revision

Parameters:
  - `path` (`str`) - The path
  - `revision` (`int`) - The revision number
Returns: `dict`
  The dict of properties

### getPathProperty(self, name, path, revision)

source code

Get the value of a particular property

Parameters:
  - `name` (`str`) - The name of the property
  - `path` (`str`) - The path the property is attached to
  - `revision` (`int`) - The revision number
Returns: `str`
  The property value or `None` if the property doesn't exist.

### getPathMimeType(self, path, revision)

source code

Get the MIME type of a particular path

Parameters:
  - `path` (`str`) - The path
  - `revision` (`int`) - The revision number
Returns: `str`
  The mime type or `None`

### dumpPathContent(self, fp, path, revision)

source code

Dump the contents of a particular path into a file

Parameters:
  - `fp` (file like object) - The file descriptor
  - `path` (`str`) - The path to process
  - `revision` (`int`) - The revision number

### getRevisionTime(self, revision)

source code

Returns the time of a particular rev. in seconds since epoch

Parameters:
  - `revision` (`int`) - The revision number
Returns: `int`
  The time

### getRevisionAuthor(self, revision)

source code

Returns the author of a particular revision

Parameters:
  - `revision` (`int`) - The revision number
Returns: `str`
  The author

### getRevisionLog(self, revision)

source code

Returns the log entry of a particular revision

Parameters:
  - `revision` (`int`) - The revision number
Returns: `str`
  The log entry or `None`

### getRevisionProperty(self, revision, propname)

source code

Returns the value of a revision property

Parameters:
  - `propname` (`str`) - The property name
  - `revision` (`int`) - The revision number
Returns: `str`
  The property value

### _getChangeCollector(self, revision)

source code

Return the RevisionChangeCollector instance

Parameters:
  - `revision` (`int`) - The revision
Returns: `_RevisionChangeCollector`
  The Collector instance

### _getRevisionRoot(self, revision)

source code

Return the root object of a particular revision

Parameters:
  - `revision` (`int`) - The revision number
Returns: swig object
  The revision root

Note: The root objects are cached